%@string{ijc = "International Journal of Control"}
%@string{auto = "Automatica"}
%@string{ieeecas = "IEEE Trans. Circ. Sys."}
%@string{ieeecasI = "IEEE Trans. Circ. Sys.-I"}
%@string{ieeecasII = "IEEE Trans. Circ. Sys.-II"}
%@string{ieeeac = "IEEE Trans. Automat. Control"}
%@string{scl = "Sys. Contr. Letts."}
%@string{mult = "Multidimensional Systems and Signal Processing"}

@ARTICLE{CACSD,
  AUTHOR= {Hladowski, L. and Cichy, B. and Galkowski, K. and Sulikowski, B. and Rogers, E.},
  TITLE=  {SCILAB compatible software for analysis and control of repetitive processes},
  JOURNAL=  {Proc. IEEE International Symposium on Computer-Aided Control Systems Design, CACSD 2006},
  YEAR=   {2006},
}

@ARTICLE{Sulikowski2005a,
  AUTHOR=         {Sulikowski, B. and Galkowski, K. and Rogers, E. and Owens, D. H.},
  TITLE=          {Control and disturbance rejection for discrete linear repetitive processes},
  JOURNAL=        {Multidimensional Systems and Signal Processing},
  YEAR=           {2005},
  VOLUME=         {16},
  NUMBER=         {2},
  PAGES=          {199--216},
}

@ARTICLE{Galkowski2003b,
  AUTHOR=         {Galkowski, K. and Lam, J. and Rogers, E. and Xu, S. and Sulikowski, B. and Paszke, W. and Owens, D. H.},
  TITLE=          {LMI based stability analysis and robust controller design for discrete linear repetitive processes},
  JOURNAL=        {Int. J. Robust Nonlinear Control}, 
  YEAR=           {2003}, 
  VOLUME=         {13},
  PAGES=          {1195--1211},
}

@ARTICLE{Melkote03,
  AUTHOR =       {Melkote, H. and Cloke, B. and Agarwal, V.},
  TITLE=         {Modeling and compensator designs for self-servowriting in disk drives},
  VOLUME=        {1},
  PAGES=         {737--742},
  JOURNAL=     {Proc. American Control Conference},
  LOCATION=      {Denver, USA},
  MONTH=         {jun 4-6},
  YEAR=          {2003},
}
@ARTICLE{DAndrea2003-1,
  AUTHOR=        {D'Andrea, R. and Dullerud, G. E.},
  TITLE=         {Distributed control design for spatially interconnected systems},
  JOURNAL=       {IEEE Transactions on Automatic Control},
  VOLUME=        {48},
  NUMBER=        {1},
  PAGES=         {1478--1495},
  YEAR=          {2003},
}
@PHDTHESIS{SulikowskiPHD,
 AUTHOR=         {Sulikowski, B.},
 TITLE=          {Computational aspects in analysis and synthesis  of~repetitive processes},
 SCHOOL=         {University of Zielona Gora},
 YEAR=           {2006},
}
@PHDTHESIS{GramackiPHD,
 AUTHOR=         {Gramacki, J.},
 TITLE=          {Metody badania stabilno{\'s}ci i stabilizacja liniowych, dyskretnych procesow powtarzalnych},
 SCHOOL=         {Politechnika Zielonogorska},
 YEAR=           {1999},
 NOTES=          {in Polish},
}
@ARTICLE{Gramacki2005,
  AUTHOR=        {Gramacki, J. and Gramacki, A. and Galkowski, K. and Rogers, E.},
  TITLE=         {Java based toolbox for linear repetitive processes},
  JOURNAL=       {Proc. 2nd Int. Conf. on Inform. in Control, Autom. and Robotics --- ICINCO},
  VOLUME=        {1},
  PAGES=         {182--187},
  YEAR=          {2005},
  NOTES=         {Available at \url{http://www.uz.zgora.pl/~jgramack/LRP/lrp.html}},
}

@MISC{Matlab,
  TITLE=         {Getting started with Matlab},
  AUTHOR=        {Mathworks},
}

  URL=           {\url{http://www.mathworks.com/access/helpdesk/help/pdf_doc/matlab/getstart.pdf}},

@MISC{ScilabWWW,
  AUTHOR=     {Scilab Group, INRIA Meta2 Project/ENPC Cergrene},
  TITLE=         {Introduction to Scilab},
}
  URL=           {http://www.scilab.org/doc/intro/intro.pdf},
  
@MISC{NSIS,
  TITLE={NSIS Users Manual},
  AUTHOR={Nullsoft},
}
URL={http://nsis.sourceforge.net/Docs/},

@MISC{MD5Plugin,
  AUTHOR={Matthew \protect{"IGx89"} Lieder},
  TITLE={MD5 Plugin DLL},
  NOTES={Derived from the RSA Data Security, Inc. MD5 Message-Digest Algorithm},
}
URL={http://nsis.sourceforge.net/MD5_plugin}


@ARTICLE{Nikoukhah-Scilab,
  TITLE={\protect{LMITOOL}: a Package for \protect{LMI} Optimization in Scilab},
  AUTHOR={Nikoukhah, R. and Delebecque, F. and Ghaoui, L. E. },
  PUBLISHER={INRIA, France},
}
NOTES= {Available at {\scriptsize{\url{ftp:}$\!$\url{/}$\!\!$\url{/}$\!$\url{ftp.inria.fr/}$\!$\url{INRIA/}$\!$\url{Scilab/}$\!$\url{documentation/}$\!$\url{pdf/}$\!$\url{lmi.pdf}}}},

@BOOK{Gomez1999-1,
 EDITOR= {Claude Gomez and Francois Delebecque and Carey Bunks and Jean-Philippe Chancelier and Serge Steer and Ramine Nikoukhah},
 TITLE = {Engineering and Scientific Computing with Scilab with Cdrom},
 YEAR = {1998},
 ISBN = {0817640096},
 PUBLISHER = {Birkhauser Boston},
}

@BOOK{Campbell2006,
  TITLE= {Modeling and Simulation in Scilab/Scicos},
  AUTHOR= {Campbell, S.L. and Chancelier, J.P. and Nikoukhah, R.},
  YEAR={2006},
  PUBLISHER={Springer},
  ISBN={9780387278025},
}


@ARTICLE{Ratcliffe2005,
  AUTHOR =       {Ratcliffe, J. D. and Hatonen, J. J. and  Lewin, P. L. and Rogers, E. and Harte, T. J. and Owens, D. H.},
  TITLE =        {P-type iterative learning control for systems that contain resonance},
  JOURNAL =      {International Journal of Adaptive Control and Signal Processing},
  series =       {Lecture Notes in Control and Information Sciences},
  VOLUME=        {19},
  NUMBER=        {10},
  PAGES=         {769--796},
  YEAR =         {2005},
}



@ARTICLE{Ratcliffe2006,
  AUTHOR =       {Ratcliffe, J. D. and Lewin, P. L. and Rogers, E. and Hatonen, J. J. and Owens, D. H.},
  TITLE =        {Norm-Optimal Iterative Learning Control Applied to Gantry Robots for Automation Applications},
  JOURNAL =      {IEEE Transactions on Robotics},
  series =       {Lecture Notes in Control and Information Sciences},
  VOLUME=        {38},
  NUMBER=        {6},
  PAGES=         {1303--1307},
  YEAR =         {2006},
}

@ARTICLE{Arimoto84,
  AUTHOR =       {Arimoto, S. and Kawamura, S. and Miyazaki, F.},
  TITLE =        {Bettering operations of robots by learning},
  JOURNAL =      {Journal of Robotic Systems},
  VOLUME=        {1},
  NUMBER=        {2},
  PAGES=         {123--140},
  YEAR =         {1984},
}
@ARTICLE{Hyo-Sung2007,
  AUTHOR =       {\protect{Hyo-Sung} Ahn and \protect{YangQuan} Chen and Kevin L. Moore},
  TITLE =        {Iterative learning control: brief survey and categorization 1998 -- 2004},
  JOURNAL =      {Journal of Robotic Systems},
  YEAR =         {2007},
  NOTE = {To appear},
}

@ARTICLE{KurekZaremba1993-1,
  AUTHOR =       {Kurek, J. E. and M. B. Zaremba},
  TITLE =        {Iterative Learning Control Synthesis Based on 2-\protect{D} System Theory},
  JOURNAL =      {IEEE Transactions on Automatic Control},
  YEAR =         {1993},
  volume =       {38},
  number =       {1},
  pages =        {121--125},
}

@BOOK{Moore1983,
  AUTHOR =       {Moore, K. L.},
  TITLE =        {Iterative Learning Control for Deterministic Systems},
  PUBLISHER =    {Springer-Verlag},
  YEAR =         {1983},
  series =       {Advances in Indrustrial Control Series},
  address =      {London, England},
}

@article{Rogers2002,
  author=           {E. Rogers and T. Al-Towlem and J. Radcliffe and P. Lewin and K. Galkowski and D. H. Owens},
  title=            {Application of 2D Linear Systems Theory to Iterative Learning Control - Theory and Experiments},
  journal=          {MMAR 2002},
  year=             {2002},
}
@article{Siljak2000,
  author=           {D. D. Siljak  and D. M. Stipanovic},
  title=            {Robust Stabilisation of Nonlinear Systems: The \protect{LMI} approach},
  journal=          {Mathematical Problems in Engineering},
  volume=           {6},
  pages=            {461--493},
  year=             {2000},
}
  
@article{Galkowski2003,
  author  = {K. Galkowski and E. Rogers and W. Paszke and D. Owens},
  title   = {Linear repetitive process control theory applied to a physical example},
  journal = {International Journal of Applied Mathematics and Computer Science},
  volume  = {13},
  number  = {1},
  pages   = {87--99},
  year    = {2003},
}

@ARTICLE{Owens2000-1,
  author=       {Owens, D. H. and N. Amann and E. Rogers and M. French},
  title=        {Analysis of Linear Iterative Learning Control Schemes - a 2\protect{D} Systems/Repetitive Processes Approach},
  journal=      {Multidimensional Systems and Signal Processing},
  year=         {2000},
  volume=       {11},
  number=       {1-2},
  pages=        {125--177},
}

@ARTICLE{nasze,
  author=       {L. Hladowski and K. Galkowski and E. Rogers, D. H. Owens},
  title=        {Extended controllability of discrete linear repetitive processes},
  journal=        {Proceedings of 1st International Conference on Informatics in Control, Automation and Robotics},
  year=           {2004}
}
@ARTICLE{APPENDIX,
    author={K. Galkowski and  {\L}. H{\l}adowski and E. Rogers and D. H. Owens},
    title={Generalised pass controllability of discrete linear repetitive
        processes},
    journal={University of Zielona G{\'o}ra --- see \mbox{\url{www.issi.uz.zgora.pl}} for details},
    year={2003}
}
@ARTICLE{Amann98,
author=         {N. Amann and D. H. Owens and E. Rogers},
title=          {Predictive optimal iterative learnig control},
journal=        {International Journal of Control},
year=           {1998},
volume=         {69},
pages=          {203--226},
}

@ARTICLE{Bachelier99,
author=         {O. Bachelier and J. Bernussou and M. C. de Oliveria and J. C. Geromel},
title=          {Parameter dependent \protect{L}yapunov control design : numerical evaluation},
journal=        {Proceedings of 38th IEEE International Conference on Decision and Control},
year=           {1999},
volume=         {},
pages=          {293--297},
}

@BOOK{Benton00,
  author =       {S. E. Benton},
  title =        {Analysis and Control of Functions of Linear Repetitive Processes},
  publisher=     {PhD Dissertation},
  year=          {2000},
  address=       {University of Southampton, UK.},
}

@BOOK{Boyd94-1,
  author =       {S. Boyd and L. E. Ghaoui and E. Feron and V. Balakrishnan},
  title =        {\protect{L}inear \protect{M}atrix \protect{I}nequalities In System And Control Theory},
  publisher =    {SIAM, Philadelphia},
  year =         {1994},
  volume =       {15},
  series =       {SIAM studies in applied mathematics},
}

@ARTICLE{Crusius99-1,
  author =       {C. A. R. Crusius and A. Trofino},
  title =        {Sufficient \protect{LMI} conditions for output feedback control problems},
  journal =      {IEEE Transactions on Automatic Control},
  year =         {1999},
  volume =       {44},
  number =       {5},
  pages =        {1053--1057},
}

@BOOK{DuXie2002-1,
 author = {Du, C. and L. Xie},
 title = {$H_{\infty}$ Control and Filtering of Two-dimensional Systems},
 publisher = {Springer-Verlag},
 year = {2002},
 volume = {278},
 series = {Lecture Notes in Control and Information Sciences},
}

@ARTICLE{DuXie99-1,
 author = {Du, C. and L. Xie},
 title = {\protect{LMI} approach to output feedback stabilization of 2-\protect{D} discrete systems},
 journal = {International Journal of Control},
 year = {1999},
 volume = {72},
 number = {2},
 pages = {97--106},
}

@ARTICLE{Edwards74-1,
  author =       {J. B. Edwards},
  title =        {Stability problems in the control of multipass processes},
  journal =      {Proceedings of The Institution of Electrical Engineers},
  volume =       {121},
  number =       {11},
  year =         {1974},
  pages =        {1425--1431},
}

@ARTICLE{Fornasini78-1,
    author={E. Fornasini and G. Marchesini},
    title={Doubly-indexed dynamical systems: state space models and structural properties},
    journal={Mathematical Systems Theory},
    year={1978},
    volume={12},
    pages={59--72},
}

@ARTICLE{Gahinet94-1,
 author = {P. Gahinet and P. Apkarian},
 title = {A \protect{L}inear \protect{M}atrix \protect{I}nequality \protect{A}pproach to $\protect{H}_{\infty}$ \protect{C}ontrol},
 journal = {International Journal Of Robust and Nonlinear Control},
 year = {1994},
 volume = {4},
 number = {},
 pages = {421--448},
}

@ARTICLE{Gahinet94-2,
 author = {P. Gahinet and P. Apkarian and M. Chilali},
 title = {\protect{A}ffine \protect{P}arameter-\protect{D}ependent \protect{L}yapunov \protect{F}unctions for \protect{R}eal \protect{P}arametric \protect{U}ncertainty},
 journal = {Proceedings of the 33th Conference on Decision and Control, Lake Buena Vista},
 year = {1994},
 volume = {},
 pages = {2026--2031},
}

@BOOK{Gahinet95-1,
 author = {P. Gahinet and A. Nemirowski and A. J. Laub and M. Chilali},
 title = {\protect{LMI} \protect{C}ontrol \protect{T}oolbox for use with \protect{MATLAB}},
 publisher = {The MathWorks Inc.},
 year = {1995},
 series = {The Mathworks Partner Series},
}

@BOOK{Gahinet95-1,
author = {P. Gahinet and A. Nemirowski and A. J. Laub and M. Chilali},
title = {\protect{LMI} \protect{C}ontrol \protect{T}oolbox for use with \protect{MATLAB}},
publisher = {The MathWorks Inc.},
year = {1995},
series = {The Mathworks Partner Series},
}



@ARTICLE{Galkowski2002-2,
author = {K. Galkowski and W. Paszke and J. Lam and E. Rogers and D. H. Owens},
title = {Stability of Uncertain Differential Linear Repetitive Processes},
booktitle = {Proceedings XIV National Conference of Automatic Control, Zielona Gora},
year = {2002},
volume = {1},
pages = {297--302},
}

@ARTICLE{Galkowski2002-3,
  author =       {Galkowski, K. and  E. Rogers and S. Xu and J. Lam  and D. H. Owens},
  TITLE =        {\protect{LMI}s - a fundamental tool in analysis and controller design for discrete linear repetitive processes},
  JOURNAL =      {IEEE Transactions on Circuits and Systems I: Fundamental Theory and Applications},
  YEAR =         {2002},
  volume =       {49},
  number =       {6},
  pages =        {768--778},
}



@BOOK{Galkowski01-1,
 author = {K. Galkowski},
 title = {State-Space Realisations of Linear 2-\protect{D} Systems with Extensions to the General n\protect{D} Case},
 publisher = {Springer Verlag, London},
 year = {2001},
 volume = {263},
 series = {Lecture Notes in Control and Information Sciences},
}

@BOOK{Galkowski01-2,
 author = {},
 editor = {K. Galkowski and J. Wood},
 title = {Multidimensional Signals, Circuits and Systems},
 PUBLISHER = {Taylor \& Francis},
 year = {2001},
}

@ARTICLE{Galkowski02-1,
 author = {K. Galkowski and W. Paszke and B. Sulikowski and E. Rogers and D. H. Owens},
 title = {LMI based stability analysis and controller design for a class of 2D continuous-discrete linear systems},
 jornal = {American Control Conference. Anchorage, USA},
 year = {2002},
 volume = {},
 note={CD-ROM},
}


@ARTICLE{Galkowski98-1,
 author=         {K. Galkowski and E. Rogers and D. H. Owens},
 title=          {Matrix rank based conditions for reachability $\slash$ controllability of discrete linear repetitive processes},
 journal=        {Linear Algebra and its Applications},
 year=           {1998},
 volume=         {275--276},
 pages=          {201--224},
}

@TECHREPORT{Galkowski98-2,
  author =       {K. Galkowski and E. Rogers and D. H. Owens},
  title =        {Analysis of linear repetitive processes with dynamic boundary conditions.},
  institution =  {Dept. Electronics and Computer Science,University of Southampton, UK},
  year =         {1998},
}

@ARTICLE{Galkowski01-5,
    author={K. Galkowski and B. Sulikowski and E. Rogers and D. H. Owens},
    title={Generalised linear discrete repetitive processes},
    journal={Proceedings 7th IEEE International Conference on Methods and Models in Automation and Robotics},
    year={2001},
    volume={1},
    pages={119--123},
}

@ARTICLE{Galkowski03-1,
  author =       {K. Galkowski and W. Paszke and B. Sulikowski and E. Rogers and D. H. Owens},
  title =        {\protect{LMI} based stability analysis and robust controller design for discrete linear repetitive processes},
  year =         {2003},
  journal =      {International Journal of Robust and Nonlinear Control},
  volume =       {13},
  number=        {13},
  pages=         {1195--1211},
}

@ARTICLE{Galkowski03-2,
    author={K. Galkowski and J. Lam and S. Xu and S. Lin},
    title={\protect{LMI} approach to state-feedback stabilization of multidimensional systems},
    journal={International Journal of Control},
    year={2003},
    volume={76},
    number={12/20},
    pages={1428--1436},
}

@ARTICLE{Galkowski02-3,
    author={K. Galkowski and W. Paszke and E. Rogers and D. H. Owens},
    title={Stabilization and robust control of metal rolling modeled as 2\protect{D} linear system},
    journal={15th Triennial World Congress of the International Federation of Automatic Control},
    year={2002},
    volume={},
    pages={},
    note={CD-ROM}
}

@ARTICLE{Galkowski02-5,
    author={K. Galkowski and A. Gramacki and J. Gramacki and E. Rogers and D. H. Owens},
    title={1\protect{D} equivalent model based analysis and controller design for discrete non-unit memory Linear Repetitive Processes},
    journal={Circuits, Systems and Signal Processing},
    year={2002},
    volume={21},
    number={6},
    pages={525--534},
}


@ARTICLE{Galkowski02-8,
    author={E. Rogers and K. Galkowski and A. Gramacki and J. Gramacki and D. H. Owens},
    title={Stability and controllability of a class of 2\protect{D} systems with dynamic boundary conditions},
    journal={IEEE Transactions on Circuits and Systems, Part I: Fundamental Theory and Applications},
    year={2002},
    volume={49},
    number={2},
    pages={181-195},
}

@ARTICLE{Galkowski02-4,
  author =       {K. Galkowski and E. Rogers and S. Xu and J. Lam and D. H. Owens},
  title =        {\protect{LMI}s - A fundamental tool in analysis and controller design for Discrete Linear Repetitive Processes},
  journal=       {IEEE Transactions on Circuits and Systems, Part 1},
  volume =       {49},
  number=        {6},
  pages=         {768-778},
  year =         {2002},
}

@ARTICLE{Hinamoto97,
  author =       {T. Hinamoto},
  title =        {Stability of \protect{2-D} discrete systems described by the \protect{F}ornasini–\protect{M}archesini second model},
  journal=       {IEEE Transactions on Circuits and Systems, Part 1: Fundamental Theory and Applications},
  volume =       {44},
  number=        {3},
  pages=         {254-257},
  year =         {1997},
}

@BOOK{Kaczorek85-1,
  author =       {T. Kaczorek},
  title =        {Two-dimensional Linear Systems},
  publisher =    {Springer-Verlag, Berlin},
  year =         {1985},
  volume =       {68},
  series =       {Lecture Notes in Control and Information Sciences},
}

@ARTICLE{Kaczorek95-2,
  author =       {T. Kaczorek},
  title =        {Generalized 2\protect{D} continuous-discrete linear systems with delay},
  journal =      {Applied Mathematics and Computer Science},
  year =         {1995},
  volume =       {5},
  number =       {3},
  pages =        {439-454},
}

@ARTICLE{Khargonekar90-1,
 author = {P. P. Khargonekar, and I. R. Petersen and K. Zhou},
 title = {\protect{R}obust \protect{S}tabilization of \protect{U}ncertain \protect{L}inear \protect{S}ystems:
          \protect{Q}uadratic \protect{Stabilizability} and $\protect{H}_{\infty}$ \protect{C}ontrol \protect{T}heory},
 journal = {IEEE Transactions on Automatic Control},
 year = {1990},
 volume = {35},
 number = {3},
 pages = {356--361},
}

@article{Owens99,
    author={D. H. Owens and E. Rogers},
    title={Stability analysis for a class of 2\protect{D} continuous-discrete linear systems with dynamic boundary conditions},
    journal={Systems and Control Letters},
    year={1999},
    volume={37},
    pages={55--60},
}

@ARTICLE{Roberts00,
  author=       {P. D. Roberts},
  title=        {Numerical investigations of a stability theorem arising from 2-dimensional analysis of an iterative optimal control algorithm},
  journal=      {Multidimensional Systems and Signal Processing},
  year=         {2000},
  volume=       {11 (1/2)},
  pages=        {109--124},
}

@BOOK{Rogers92-1,
  AUTHOR =       {E. Rogers and D. H. Owens},
  TITLE =        {Stability Analysis for Linear Repetitive Processes},
  PUBLISHER =    {Springer-Verlag},
  YEAR =         {1992},
  volume =       {175},
  series =       {Lecture Notes in Control and Information Sciences},
}

@ARTICLE{Rogers98-1,
  author =       {E. Rogers and J. Gramacki and K. Galkowski and D. H. Owens},
  title =        {Stability theory for a class of 2{D} linear systems with
                  dynamic boundary conditions},
  journal =      {Proceedings of the CDC--98, Tampa, USA},
  year =         {1998},
  pages =        {2800-2805},
}

@ARTICLE{Roesser75-1,
  author =       {R. P. Roesser},
  title =        {A discrete state space model for linear image processing},
  journal =      {IEEE Trans. Automatic Control},
  volume =       {20},
  year =         {1975},
  pages =        {1-10},
}

@BOOK{Smyth92,
    author={K. J. Smyth},
    title={Computer aided analysis for linear repetitive processes},
    publisher={PhD Dissertation},
    year={1992},
    address={University of Strathclyde, UK},
}

@ARTICLE{Yamada99,
  author =       {M. Yamada and O. Saito},
  title =        {2\protect{D} Model-Following Servo System},
  journal =      {Multidimensional Systems and Signal Processing},
  volume =       {10},
  year =         {1996},
  pages =        {71-91},
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%MOJE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5

@ARTICLE{Sulikowski03-1,
  author =       {K. Galkowski and W. Paszke and B. Sulikowski and E. Rogers and D. H. Owens},
  title =        {Control of Discrete Linear Repetitive Processes with Application to~a~Material Rolling Process},
  journal =      {Proceedings of Europenian Control Conference},
  volume =       {},
  year =         {2003},
  pages =        {},
  note =         {CD-ROM}
}

@ARTICLE{Porter84,
  author =       {W. A. Porter and J. L. Aravena},
  title =        {1-\protect{D} models for m-\protect{D} processes},
  journal =      {IEEE Transactions on Circuits and Systems},
  volume =       {31},
  year =         {1984},
  pages =        {742-744},
  note =         {}
}

@comment{bibkeeper-meta: groups:}

